Subject: [Iasa20] AD review of draft-ietf-iasa2-rfc4071bis-04

From: Alissa Cooper <[email-masked]>
Date: Wed, 13 Feb 2019 21:23:41 -0500

I have reviewed draft-ietf-iasa2-rfc4071bis-04 in preparation for IETF LC. I have some substantive comments and questions as well as some nits that should be resolved before IETF LC.

Substantive comments:

== Section 1 ==

The LLC agreement explicitly and purposefully states that the IETF LLC provides a corporate legal framework for activities related not only to the IETF, but also the IAB and IRTF. I think it would make sense for that to be explicit in Section 1 of this document as well. Below I point out some other places where it needs to be made explicit.

== Section 2.1 ==

"The LLC Agreement between the IETF LLC and ISOC [IETF-LLC-A] is also
   out of scope for this document"

I don't really understand what this is trying to say. Is the point that the substance of the legal agreement between the two entities is specified elsewhere, and not in this document?

== Section 3.1 ==

As I noted in another thread, if the term "IASA" is going to be used, it needs to be defined. There are other documents that use IASA as a proper noun (e.g., draft-ietf-mtgvenue-meeting-policy). Personally I think this is a mistake, but others disagreed. Since it is being used that way, though, I feel strongly that the specific roles and entities to which "IASA" refers need to be enumerated in the definition of the term "IASA" in order to meet the goals of this working group. Perhaps a simple definition could be something like: "IASA consists of the IETF LLC board, employees, and contractors. Uses of the term 'IASA' as a proper noun may imply a subset of these roles, or all of them." 

== Section 3.4 ==

"Unification: The IETF LLC is responsible for providing unified
      legal, financial, and administrative support for operation of the
      IETF, IAB, IESG, IRTF, and RFC Editor."
    
I think this is not quite correct, or at least labeling it "unification" is not quite correct. The LLC does not provide administrative support to the RSE, which is one component of the RFC Editor. The nature of the legal support is also limited, to my knowledge: we provide legal support to the RPC in the context of litigation where RFCs are invoked. But we do not provide general legal support on other matters to the RPC or the RSE.

I suspect the main point here is for there to be unified legal, financial, and administrative support for operation of the IETF, IAB, and IRTF, and financial support for the operation of the RFC Editor. 

"It was recognized that there will naturally be a confidentiality requirement
   about some aspects of hotel contracting, personnel matters, and other
   narrow areas."

I'm not clear why hotel contracting is specifically called out here as opposed to just "contracting." I believe the financial terms of nearly every contract we have now are kept confidential, for example, to protect our ability to contract and contractors' own business interests.

== Section 3.5 ==

Since we have an entire document about the IETF-ISOC relationship (draft-ietf-iasa2-rfc2031bis), why is this section needed?

== Section 3.7 ==

"Anyone in the community of IETF participants may ask the IETF LLC
   Board for a formal review of a decision or action by the IETF
   Executive Director or IETF LLC Board if they believe this was not
   undertaken in accordance with IETF BCPs or IASA 2.0 operational
   guidelines."

What is meant by "IASA 2.0 operational guidelines?" Does this mean IETF LLC Board policies and procedures, or something else?

== Section 3.8 ==

This section seems superfluous. This document is intended to be published as a consensus IETF BCP, so the text here is trivially true, just as with all consensus-based RFCs.

== Section 4.2 ==

I'm wondering about how the first section of this text squares with what is in the LLC Agreement, in a couple of ways:

(1) The LLC Agreement does not state that the board has duties of loyalty, care, and good faith. I don't know if these are implied, but I think we should hesitate to try to establish these kinds of duties in the RFC if they aren't established in the legal agreements. Would be interested in Brad's opinion on this.

(2) The first bulleted list of responsibilities is overlapping but not the same as the board responsibilities described in 5(d) of the LLC Agreement. That list is:

"The Board will set broad strategic direction for the Company, and will be responsible for adopting an annual budget, hiring or terminating an Executive Director (or amending the terms of their engagement), adopting any employee benefit plans, consulting the relevant IETF communities on matters related to the Company as appropriate, approving any changes to the LLC governance structure, incurring any debt, and approving entering into agreements that that meet a significant materiality threshold to be determined by the Board."

I can understand that there may be additional responsibilities that the community expects of the board that aren't listed in the LLC Agreement (i.e., recruiting new directors). But for the ones that are listed in the LLC Agreement, I think it would be clearer to use the exact same phrasing in both places rather than talking about the same ideas using different words. There is additional wording about transparency in Exhibit A, Section 13.

Similarly, the second bulleted list of responsibilities is a subset of the obligations in Section 11(a) of the LLC Agreement, using slightly different words. I don't understand the motivation for including this list this way. It seems like a reference to 11(a) would be more appropriate.

== Section 5.3 ==

"The IETF
   LLC Board and others can recruit potential Directors and get them
   into the consideration process of the NomCom or other appointing
   bodies."

I would suggest:

"The IETF
   LLC Board and others can recruit potential Directors and get them
   into the consideration process of the NomCom or into open considerations processes of the other appointing bodies if those bodies choose to use such processes."

Otherwise this makes it sound like the board is fielding candidates for the IESG and/or ISOC BoT, which doesn't seem like a role for a board as a whole.

== Section 5.5 ==

This is borderline editorial, but I'd like to suggest a clarification and see if I understand this correctly:

OLD
A director may serve no more than two consecutive terms, with at
   least one full term prior to the start of any additional terms
   (meaning a director cannot serve a third term until three years has
   passed). 

NEW
A director may serve no more than two consecutive terms. A director cannot serve a third term until three years have passed since his or her second consecutive term. 

== Section 5.10 ==

Again here the rules as described don't quite match the voting rules in the LLC Agreement, Exhibit A, Section 10. I think they need to.

== Section 5.11 ==

I would recommend deleting this: 

"The
   Interim Board was expected to conclude no later than the end of the
   104th meeting of the IETF, in March 2019."

It's going to be overcome by events before this document is published.

== Section 5.12 ==

The description of how the Board chair is selected is slightly different from how it is described in the LLC Agreement, Exhibit A, Section 11, which says:

"Following the formation of the first permanent Board, and annually thereafter, the Directors shall elect a Director to serve as Board Chair. The IETF, IAB and IRTF chairs, and the chair of the Member’s Board, will be ineligible for this Board Chair role."

I think it would make sense to just use the above verbatim.

== Section 6 ==

To cover all the things the budget is supposed to support, I would suggest:

OLD
The IETF community expects the IETF LLC to work to
   attain that goal, in order to maintain a viable IETF support function
   that provides the environment within which the IETF's technical work
   can remain vibrant and productive.

NEW
The IETF community expects the IETF LLC to work to
   attain that goal, in order to maintain a viable support function
   that provides the environment within which the work of the IETF, IAB, IRTF, and RFC Editor can remain vibrant and productive.
   
In this section and Section 6.6 I find the use of the term "donations" and the absence of the term "sponsorships" confusing because "donation" connotes a gift for which the donor doesn't necessarily receive anything in return. IETF sponsors do receive benefits, from brand recognition on up. Read this way, the three main funding sources at present are ISOC contributions, meeting registration fees, and sponsorships (not donations). Donations are a distinct category that it would be nice to grow as well, but it's much smaller than those three right now (and not even included as its own line item in the 2019 budget, for example).

== Section 6.4 ==

"Exhibit B of the [IETF-LLC-A] summarizes the one-time and on-
   going financial support from ISOC for the forseeable future."

Actually this is only specified for the first two years of the LLC's existence, so it would be better to say that than "forseeable future."

== Section 6.5 ==

"The IETF Executive Director sets those meeting fees,
   in consultation with the IETF LLC and the IETF community, with formal
   approval by the IETF LLC."

This sounds circular. Perhaps:

"The IETF Executive Director sets those meeting fees,
   in consultation with other IETF LLC staff and the IETF community."

== Section 6.6 ==

See comments regarding sponsors vs. donors above in Section 6. I think this text needs to clarify whether it's talking about sponsorships or donations or both.

== Section 6.7 ==

I would suggest replacing this section with the following, to align with the LLC Agreement:

6.7.  Focus of Funding Support

   The IETF LLC exists to support the IETF, IAB, and IRTF.  Therefore, the IETF LLC's
   funding and all revenues, in-kind contributions, and other income
   that comprise that funding shall be used solely to support activities related to the IETF, IAB, and IRTF and for no other purposes.
   
== Section 6.10 ==

"Regular
   reporting is expected to include monthly and quarterly forecast vs.
   budget statements, including updated projections of income and
   expenses for the full fiscal year."

I'm wondering about the quarterly reports here. Because the IETF's finances are so dependent on meetings and those occur three times per year, it would make more sense to me to have forecasts produced after each meeting rather than quarterly. (This is essentially what we do already, since we produce meeting financial statements.)

== Section 12 ==

I think I-D.ietf-iasa2-rfc7437bis needs to be a normative reference.

Nits:

Please fix the I-D nits.

== Section 1 ==

s/Internet Administrative Oversight Committee (IAOC)/IETF Administrative Oversight Committee (IAOC)/

I would recommend deleting this paragraph:

   The point of the IASA2 WG and process has been to solicit community
   input about how to address the challenges identified in
   [I-D.haberman-iasa20dt-recs], and included much debate on the IASA2
   mailing list and the IASA2 working group meetings at IETF 101
   [ietf101-slides] and IETF 102 [ietf102-slides].

== Section 3.1 ==

OLD
IAOC: IETF Administrative Oversight Committee, a committee that
   oversaw IETF administrative activity, obsoleted by this document and
   replaced by the IETF LLC Board.  (The IETF Trust function of the
   former IAOC was not included in the new responsibilities of the IETF
   LLC Board (See [I-D.ietf-iasa2-trust-update]).)

NEW
IAOC: IETF Administrative Oversight Committee, a committee that
   oversaw IETF administrative activity. The IAOC is obsoleted by this document and
   replaced by the IETF LLC Board.  The IETF Trust was formerly populated by IAOC members. Its membership is now distinct from that of the IETF
   LLC Board (See [I-D.ietf-iasa2-trust-update]).

OLD
IETF Administration LLC: The legal entity - a disregarded Limited
   Liability Company (LLC) of The Internet Society - established to
   house IASA2, specified by the ISOC/IETF LLC Agreement ([IETF-LLC-A])
   and referred to as "IETF LLC".

NEW
IETF Administration LLC: The legal entity - a disregarded Limited
   Liability Company (LLC) of The Internet Society - established to
   provide a corporate legal framework for facilitating current and future activities related to the IETF, IAB, and IRTF. It was established by the ISOC/IETF LLC Agreement ([IETF-LLC-A]) and is referred to as "IETF LLC."

Delete this since the same text appears in the very next section: (Note that the title of
   "IETF Executive Director" in older documents such as [RFC2026] is now
   "Managing Director, IETF Secretariat".)

OLD
(The IETF
   LLC Board is formally a multi-member "manager" of the IETF LLC on
   behalf of ISOC (See Section 4.2).)

NEW
The IETF
   LLC Board is formally a multi-member "manager" of the IETF LLC on
   behalf of ISOC (See Section 4.2).

s/(see [RFC2031] and [ISOC])/(see [draft-ietf-iasa2-rfc2031bis] and [ISOC])/

== Section 3.2 ==

s/assume/assumes/

== Section 3.4 ==

"The IETF LLC is expected to conduct its work according to the
   following principles, subject to any reasonable confidentiality
   obligations:" 
   
It seems like confidentiality obligations are only in tension with the transparency principle, not all the principles. Perhaps this caveat about confidentiality should be moved down into the transparency principle instead of in the preamble about all of the principles.

OLD
Should either event occur, the
      IETF community should be closely involved in any decisions and
      plans, and any tranfer, transition, or dissolution conducted
      carefully and with minimal potential disruption to the IETF.
    
NEW
Should either event occur, the
      IETF community should be closely involved in any decisions and
      plans. Any tranfer, transition, or dissolution should be conducted
      carefully and with minimal potential disruption to the IETF.

s/confidentiality requirement/confidentiality requirements/

== Section 4 ==

s/4.  Structure of the IASA2/4.  Structure of IASA 2.0/

== Section 4.1 ==

s/that they alone direct and lead/that he or she alone directs and leads/

s/to meet their goals, within the defined limits of their authority/to meet his or her goals, within the defined limits of the IETF Executive Director's authority/

s/to perform their job/to perform the job/

== Section 4.3 ==

s/corporation/company/

== Section 5.7 ==

s/Directors may also be removed via the IETF recall process/Nomcom-appointed directors may also be removed via the IETF recall process/

== Section 5.8 ==

s/as specified in [RFC8318], Section 3.5/as specified in [I-D.ietf-iasa2-rfc7437bis], Section 3.5/

== Section 5.9 ==

s/is not be present/is not present/

== Section 6 ==

s/The IETF LLC generates/The IETF LLC was generating/

== Section 6.10 ==

s/trust with ISOC and donors/trust with ISOC, sponsors, and donors/

== Section 7.1 ==

s/this IETF LLC Board/the IETF LLC Board/

---

From: "Brad Biddle" <[email-masked]>
Date: Thu, 14 Feb 2019 09:39:50 -0800

Some thoughts on the question Alissa posed to me…

On 13 Feb 2019, at 18:23, Alissa Cooper wrote:

> I have reviewed draft-ietf-iasa2-rfc4071bis-04 in preparation for IETF 
> LC. I have some substantive comments and questions as well as some 
> nits that should be resolved before IETF LC.

[ . . .]

> == Section 4.2 ==
>
> I'm wondering about how the first section of this text squares with 
> what is in the LLC Agreement, in a couple of ways:
>
> (1) The LLC Agreement does not state that the board has duties of 
> loyalty, care, and good faith. I don't know if these are implied, but 
> I think we should hesitate to try to establish these kinds of duties 
> in the RFC if they aren't established in the legal agreements. Would 
> be interested in Brad's opinion on this.

I agree with the general principle that this document should not assert 
that any legal duties or obligations exist that aren’t clearly 
established in the legal agreements. In this particular case however, 
I’m OK with making the statement we have here even though those exact 
words don’t appear in the LLC Agreement. Those duties are imposed by 
Delaware law. I don’t think there is harm — and there may be some 
benefit of clearer expectations and understandings — in explicitly 
stating those duties in this document.

(Possibly of interest: while those duties have long been established as 
applying to directors of traditional corporations, there was a degree of 
uncertainty about if and how they applied to managers of LLCs up until 
2013. Delaware then amended their applicable statutes to clarify that 
these duties do apply to LLC managers, as a default rule. See 
<https://www.dlapiper.com/en/us/insights/publications/2013/08/delaware-amends-its-llc-act--managers-and-contro__/> 
for a short summary.)

> (2) The first bulleted list of responsibilities is overlapping but not 
> the same as the board responsibilities described in 5(d) of the LLC 
> Agreement. That list is:
>
> "The Board will set broad strategic direction for the Company, and 
> will be responsible for adopting an annual budget, hiring or 
> terminating an Executive Director (or amending the terms of their 
> engagement), adopting any employee benefit plans, consulting the 
> relevant IETF communities on matters related to the Company as 
> appropriate, approving any changes to the LLC governance structure, 
> incurring any debt, and approving entering into agreements that that 
> meet a significant materiality threshold to be determined by the 
> Board."
>
> I can understand that there may be additional responsibilities that 
> the community expects of the board that aren't listed in the LLC 
> Agreement (i.e., recruiting new directors). But for the ones that are 
> listed in the LLC Agreement, I think it would be clearer to use the 
> exact same phrasing in both places rather than talking about the same 
> ideas using different words. There is additional wording about 
> transparency in Exhibit A, Section 13.
>
> Similarly, the second bulleted list of responsibilities is a subset of 
> the obligations in Section 11(a) of the LLC Agreement, using slightly 
> different words. I don't understand the motivation for including this 
> list this way. It seems like a reference to 11(a) would be more 
> appropriate.

I agree that tracking to the language in the LLC Agreement, when 
relevant language exists, is the right practice to avoid creating 
ambiguities. While likely not a huge risk — odds of problems arising 
at all are likely low, and the LLC Agreement terms should always be 
definitive when applicable — it’s conceivable that these kinds of 
potential ambiguities could create unnecessary disputes about the scope 
of legal obligations.

Thanks,
Brad
(IETF legal counsel)

Brad Biddle | [email-masked] | +1.503.502.1259 (mobile) | 
http://biddle.law

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 14 Feb 2019 13:13:38 -0500

Many thanks to Alissa for such a careful and close review!

> potential ambiguities could create unnecessary disputes about the scope
I'm going to try and address as many of Alissa's comments as I can over the
next few days with direct proposed edits and will send those in a batch to
the list.

I did want to raise that there were places in the LLC agreement where we
took text from the version at the time of the -struct draft (which has
become this draft now) and put it into the LLC agreement. In some places
language from -struct has been changed in 4071bis but (of course) not
updated in the LLC agreement.  Definitely where something in the LLC
agreement is the way it is because of outside forces we'll want to align
language. I do think we'll have a bit more trouble in places where the
sense of the WG has evolved since text in -struct was pulled into the LLC
agreement.

I'll be very careful here in my edits and response to track down the
provenance of language... it would be great if we don't have to update the
LLC agreement to match this document when it is finished and RFC'd, but I
suspect we won't be able to do that perfectly cleanly. More details in the
next few days.

best, Joe

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

Don't miss out! CDT's Tech Prom is April 10, 2019, at The
Anthem. Please join us: https://cdt.org/annual-dinner/

---

From: "Livingood, Jason" <[email-masked]>
Date: Sun, 24 Feb 2019 20:45:31 +0000

> Since we have an entire document about the IETF-ISOC relationship (draft-ietf-iasa2-rfc2031bis), why is this section needed?

[JL] It is a very short section - a few sentences. The idea was to give a quick sense of the IETF-ISOC relationship at a high level - so folks need not necessarily read the other longer document to see all the details.

---

From: Glenn Deen <[email-masked]>
Date: Sun, 24 Feb 2019 13:26:48 -0800

> On Feb 13, 2019, at 6:23 PM, Alissa Cooper <[email-masked]> wrote:
> 
> == Section 6.5 ==
> 

In the cleanup the requirement that the LLC Board must formally approve changes in meeting fees was dropped.    Was this intentional?    

Under IASA2 the ED has a lot of autonomy to make decisions without being micromanaged  by the board, so it’s likely better to be explicit on those things that the ED cannot do without formal review by the board.

Glenn

---

From: "Livingood, Jason" <[email-masked]>
Date: Sun, 24 Feb 2019 21:44:23 +0000

What I have tried to do for this section (board responsibilities) is to better align it with the LLC agreement. I also added an introductory statement to ensure that it is understood that the LLC Agreement is authoritative.

" This section is intended to provide a summary of key IETF LLC Board responsibilities, but 
the precise and legally binding responsibilities are defined in the LLC Agreement {{IETF-LLC-A}}. 
To the extent to which there are unintentional differences or other confusion between this 
document and the LLC Agreement, the LLC Agreement is in all cases authoritative. "

Brad - Please review this new section once the doc is updated and let me know if it is now better aligned with the LLC agreement. I will send you a copy of what I have for the new doc under separate cover.

JL

On 2/14/19, 12:40 PM, "iasa20 on behalf of Brad Biddle" <[email-masked] on behalf of [email-masked]> wrote:

    
    
    [ . . .]

    

    
    Thanks,
    Brad
    (IETF legal counsel)

    Brad Biddle | [email-masked] | +1.503.502.1259 (mobile) | 
    https://protect2.fireeye.com/url?k=48744dbd15e34664.48746a09-057a9abb268c2f17&u=http://biddle.law
    
    _______________________________________________
    iasa20 mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/iasa20

---

From: "Livingood, Jason" <[email-masked]>
Date: Sun, 24 Feb 2019 23:42:44 +0000

Glenn - I think perhaps Alissa is reacting to the LLC being consulted and in approval. Removing the former and retaining approval would seem to address the concern of it being circular and retain the intended approval. 

"The IETF Executive Director sets those meeting fees, in consultation with other IETF staff and the IETF community, and approval by the IETF LLC Board."

https://github.com/IASA2/draft-ietf-iasa2-struct/pull/84/commits/677d059cd858999e6ad3c7b5bbcc9583da51cfd5 

JL

On 2/24/19, 4:27 PM, "Glenn Deen" <[email-masked]> wrote:

    

    
    Glenn

---

From: "Livingood, Jason" <[email-masked]>
Date: Sun, 24 Feb 2019 23:47:37 +0000

[JL] I will delete the specification of what are acceptable periods (monthly & quarterly) so as not to over-specify here. But monthly and quarterly reviews should probably be used, and are standard across industry. We can let the LLC Board sort the execution particulars.  

  == Section 6.10 ==
    
    "Regular

---

From: Glenn Deen <[email-masked]>
Date: Sun, 24 Feb 2019 19:00:50 -0800

The git wording works!

> On Feb 24, 2019, at 3:42 PM, Livingood, Jason <[email-masked]> wrote:
>

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 25 Feb 2019 02:03:12 -0500

> On Feb 24, 2019, at 3:45 PM, Livingood, Jason <[email-masked]> wrote:
> 

Ok. The issue I see is that we will end up with two documents that say slightly different things, and people who have to interpret this later will wonder whether those distinctions are meaningful. The first paragraph of 3.5 is copied verbatim from 2031bis, so if that text changes before 2031bis is approved, there will be discrepancies. The second paragraph does not seem to come from 2031bis, and IIRC the WG spent quite some time settling on the precise language to use there to describe the legal relationship between the two entities. I would suggest just linking to specific sections of 2031bis so people can find the relevant bits when they need to.

Thanks,
Alissa

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 25 Feb 2019 15:43:25 +0000

I understand the need to ensure these are aligned. The language is quite short and was intended as a summary for people who don’t want to read another document. If 2031bis changes during the review process, this would correspondingly change. Looking at the text (pasted below), the 1st paragraph is verbatim from Section 2 of 2031bis. Are you suggesting deletion of the 2nd paragraph or removal of the entire section (I'm not clear what action you suggest)?

JL

From the current doc:
Principles of the IETF and ISOC Relationship
ISOC and the IETF have historically been philosophically aligned. The principles of the relationship between the IETF and ISOC are outlined in {{?I-D.ietf-iasa2-rfc2031bis}}. ISOC's connection with the IETF community has always played an important role in its policy work. ISOC has always been an advocate for multistakeholder processes, which includes the technical community. Open standards are an explicit part of one of the focus areas in ISOC's mission: Advancing the development and application of Internet infrastructure, technologies, and open standards.

On a practical level, the IETF LLC is a distinct entity (a disregarded entity) of ISOC. The IETF remains responsible for the development and quality of the Internet Standards. ISOC aids the IETF by providing it a legal entity within which the IETF LLC exists, as well as with financial support. ISOC has no influence whatsoever on the technical content of Internet Standards.

On 2/25/19, 2:03 AM, "Alissa Cooper" <[email-masked]> wrote:

    
    
    Thanks,
    Alissa

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 26 Feb 2019 14:16:05 +0000

I've reflected on this a bit more and can see the benefit in further simplifying this, and reducing the need to tightly couple the text in the two docs.

Alissa - Could you support this simplification or something like it?

Principles of the IETF and ISOC Relationship
The principles of the relationship between the IETF and ISOC are outlined in {{?I-D.ietf-iasa2-rfc2031bis}}. In short, the IETF is responsible for the development of the Internet Standards and ISOC aids the IETF by providing it a legal entity within which the IETF LLC exists, as well as with financial support. 

On 2/25/19, 10:43 AM, "iasa20 on behalf of Livingood, Jason" <[email-masked] on behalf of [email-masked]> wrote:

    JL
    
    From the current doc:

        

        Thanks,
        Alissa

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 27 Feb 2019 01:11:03 +0100

Thanks for the updates. I have just a few more edits to suggest. Since there were a lot of changes, I’ll give people in the WG a few days to review this and will issue the IETF LC next Monday unless there is ongoing discussion on the list at that point.

= Please fix the I-D nits. =

= Section 4.1 =

"IASA: The IETF Administrative Support Activity, defined by [RFC4071] and updated by this document …”

I don’t think this is right since this document is obsoleting RFC 4071. I think you could say “The IETF Administrative Support Activity was originally defined in RFC 4071. As defined in this document, IASA consists of … .”Or just drop the first sentence of the definition altogether.

= Section 5.2 =

s/(or amending/(or amend/

= Section 7.5 =

s/other IETF staff/other IETF LLC staff/

s/and approval/with approval/

= Section 7.6 =

s/convey to donors/convey to sponsors and donors/

= Section 14.2 =

draft-ietf-iasa2-rfc7437bis needs to be normative, not informative

---

From: Bob Hinden <[email-masked]>
Date: Tue, 26 Feb 2019 16:13:28 -0800

Alissa, Jason,

Could we get a diff of all of the changes?  As you said, there are a lot of changes.

Thanks,
Bob

> On Feb 26, 2019, at 4:11 PM, Alissa Cooper <[email-masked]> wrote:
>

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 27 Feb 2019 09:06:56 +0100

Hi Bob,

> On Feb 27, 2019, at 1:13 AM, Bob Hinden <[email-masked]> wrote:
> 
> Alissa, Jason,
> 
> Could we get a diff of all of the changes?  

rfcdiff between -04 and -06 shows them all.

Alissa

> As you said, there are a lot of changes.
> 
> Thanks,
> Bob
> 
>

---

From: Bob Hinden <[email-masked]>
Date: Wed, 27 Feb 2019 08:11:24 -0800

Alissa,

> On Feb 27, 2019, at 12:06 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi Bob,
> 

Thanks, a URL for this diff is:

https://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=https://tools.ietf.org/id/draft-ietf-iasa2-rfc4071bis-04.txt&url2=https://tools.ietf.org/id/draft-ietf-iasa2-rfc4071bis-06.txt

Hopefully useful for others.  I will review it later today.

Bob

---

From: Bob Hinden <[email-masked]>
Date: Wed, 27 Feb 2019 11:56:28 -0800

I reviewed the Diff.  Overall looks good, a few comments below.

Bob

—————

   Abstract and Introduction

   The IETF LLC provides the corporate legal home for the IETF, the
   Internet Architecture Board (IAB), and the Internet Research Task
   Force (IRTF).

Should this also mention the RFC Editor (as is done later in the document)?

----------

   4.1.  Terminology

   ...Uses of the term 'IASA' as a proper noun may imply a subset of these roles, or all of them.

Is this sentence necessary?

----------

   6.9.  Quorum

   At all synchronous live meetings of the Board, two-thirds of the

What does “synchronous live meetings” mean?  Are there other kinds of meetings, for example, asynchronous dead meetings?  I find this confusing.   I think just saying “meetings” is fine.   Making decision via email are not meetings.

----------

   7.7.  Focus of Funding Support

   The IETF LLC exists to support the IETF, IAB, and IRTF.  Therefore,
   the IETF LLC's funding and all revenues, in-kind contributions, and
   other income that comprise that funding shall be used solely to
   support activities related to the IETF, IAB, and IRTF and for no
   other purposes.

I think the RFC Editor should be included in this paragraph.

----------

> On Feb 27, 2019, at 8:11 AM, Bob Hinden <[email-masked]> wrote:
> 
> 
> Alissa,
>

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 28 Feb 2019 14:15:22 +0100

Hi Bob,

> On Feb 27, 2019, at 8:56 PM, Bob Hinden <[email-masked]> wrote:
> 

I’m not sure which place you are referring to, but my take is the IETF LLC is not the corporate legal home of the RFC Editor, in the same way it is not the corporate legal home for AMS. It just provides funding. The corporate legal home language comes from the LLC Agreement.

I think it is, because in some places where it is used it implies responsibilities that do not apply to one of the parties (e.g., the board). If instead people want to stop using it as a proper noun, then this could be dropped.

Alissa

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 28 Feb 2019 15:51:34 +0000

Made all these changes and will update the doc soon. One note on the need for 7437-bis to be normative. It IS in the markdown doc (https://github.com/IASA2/draft-ietf-iasa2-struct/blob/master/draft-ietf-iasa2-rfc4071bis.md) but it doesn’t generate when we make the TXT from this. I suspect I've gotten the markdown formatting wrong, so will see if Brian can diagnose it.

I will also take a look at Bob's feedback and your response in a second. 

On 2/26/19, 7:48 PM, "iasa20 on behalf of Alissa Cooper" <[email-masked] on behalf of [email-masked]> wrote:

    
    = Section 4.1 =

    
    = Section 5.2 =

    = Section 7.5 =

    
    = Section 7.6 =

    = Section 14.2 =

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 28 Feb 2019 16:01:12 +0000

[JL] Bob - Thanks for the review & comments. I see Alissa already replied on the first two issues so responding to the others. 
----
       6.9.  Quorum

[JL] This language is straight from the LLC Agreement, which we are matching here word-for-word. I suppose an asynchronous meeting could be via XMPP/Slack. In any case, we just wanted to mirror the LLC Agreement and I don’t think this is significant enough to merit updating that agreement on this point.
    
    ----------

    

[JL] Updated to:
The IETF LLC exists to support the IETF, IAB, and IRTF.  Therefore, the IETF LLC's funding and all revenues, 
in-kind contributions, and other income that comprise that funding shall be used solely to support activities 
related to the IETF, IAB, IRTF, and RFC Editor, and for no other purposes.
    
    ----------

---

From: Bob Hinden <[email-masked]>
Date: Thu, 28 Feb 2019 08:32:09 -0800

Alissa,

> On Feb 28, 2019, at 5:15 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi Bob,
> 

I should have been clearer.   In Section 4.4 it says:

   o  Unification: The IETF LLC is responsible for providing unified
      legal, financial, and administrative support for operation of the
      IETF, IAB, and IRTF, and financial support for the operation of
      the RFC Editor.

I am suggesting that the text in the Abstract and Introduction (same text) mirror that.  I propose:

CURRENT:

NEW:

        The IETF LLC provides the corporate legal home for the IETF, the	
 	Internet Architecture Board (IAB), and the Internet Research Task	
 	Force (IRTF), and financial support for the operation of
        the RFC Editor.	

> I think it is, because in some places where it is used it implies responsibilities that do not apply to one of the parties (e.g., the board). If instead people want to stop using it as a proper nou…

People are going to use it the way they use it.  Putting this test in the document won’t change that.

Bob

---

From: Bob Hinden <[email-masked]>
Date: Thu, 28 Feb 2019 08:36:30 -0800

Hi Jason,

> On Feb 28, 2019, at 8:01 AM, Livingood, Jason <[email-masked]> wrote:
> 

I think this document should be clear and understandable.   Without some definition of what this means, I don’t think it should be here.

Good.

Thanks,
Bob

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 28 Feb 2019 19:11:35 +0100

Hi Bob,

> On Feb 28, 2019, at 5:32 PM, Bob Hinden <[email-masked]> wrote:
> 
> Alissa,
> 
> 

WFM.

> People are going to use it the way they use it.  

I meant in our other process documents. There was an opportunity to not use it this way, but the WG wanted to use it this way.

> Putting this test in the document won’t change that.

I agree (assuming you meant text, not test). Since one of the objectives of this whole exercise is to provide clarity over who is responsible for what and “IASA” when used as a proper noun is vague by its nature, I think this extra bit of explanation is important.

Alissa

---

From: Bob Hinden <[email-masked]>
Date: Thu, 28 Feb 2019 13:36:40 -0800

Alissa,

> On Feb 28, 2019, at 10:11 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi Bob,
> 

Good, thanks.

> I agree (assuming you meant text, not test). Since one of the objectives of this whole exercise is to provide clarity over who is responsible for what and “IASA” when used as a proper noun is vague…

OK.

Bob